Amazon Linux AMI:jasper (ALAS-2015-466)

high Nessus プラグイン ID 80417

概要

リモートのAmazon Linux AMIホストに、セキュリティ更新プログラムがありません。

説明

JasPer が JPEG 2000 イメージファイルをデコードする方法に、ヒープベースのバッファオーバーフローにつながる、複数の off-by-one の欠陥が見つかりました。特別に細工されたファイルにより、 JasPer を使用しているアプリケーションをクラッシュさせたり、任意のコードが実行されたりする可能性があります。(CVE-2014-9029)

JasPer が JPEG 2000 画像ファイルをデコードする方法に、ヒープベースのバッファオーバーフローの欠陥が見つかりました。特別に細工されたファイルにより、 JasPer を使用しているアプリケーションをクラッシュさせたり、任意のコードが実行されたりする可能性があります。(CVE-2014-8138)

JasPer が JPEG 2000 画像ファイル内の ICC カラープロファイルを解析する方法に、二重解放の欠陥が見つかりました。特別に細工されたファイルにより、 JasPer を使用しているアプリケーションをクラッシュさせたり、任意のコードが実行されたりする可能性があります。(CVE-2014-8137)

ソリューション

「yum update jasper」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/ALAS-2015-466.html

プラグインの詳細

深刻度: High

ID: 80417

ファイル名: ala_ALAS-2015-466.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2015/1/9

更新日: 2018/4/18

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: High

Base Score: 7.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

脆弱性情報

CPE: p-cpe:/a:amazon:linux:jasper, p-cpe:/a:amazon:linux:jasper-debuginfo, p-cpe:/a:amazon:linux:jasper-devel, p-cpe:/a:amazon:linux:jasper-libs, p-cpe:/a:amazon:linux:jasper-utils, cpe:/o:amazon:linux

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

パッチ公開日: 2015/1/8

参照情報

CVE: CVE-2014-8137, CVE-2014-8138, CVE-2014-9029

ALAS: 2015-466

RHSA: 2014:2021